Want to protect your cyber security and still get fast solutions? Ask a secure question today.Go Premium

x
  • Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 665
  • Last Modified:

netbeans 7.0.1 installation fails

I have installed MySql, Apache 2.2 PHP on my laptop, I enjoyed using natbeans 6.8 as it's a new laptop I thought I'll get the latest netbeans as my IDE for php, html, jscript, css.

I downloaded 7.0.1 ran it and was told JAVA SE Development kit was not not found on this computer .

JDK 6 is required for installing the netbeans IDE. Make sure that the JDK is properly installed and run installer again. You can specify valid JDK location using --javahome installer argument.

To download the JDK, visit http://java.sun.com/javase/downloads.

I went to the website specified downloaded what I concluded was the JDK 6 download and ran it, a whole lot of things came up saying Glassfish has been installed I got a summary report and access to the logs and thought cracked it! ran netbeans installer and was told that jdk 6 is required and I, as sure as the moon is made of blue cheese I don't have it!

If I had unlimited time I would dearly love to learn lots of new technologies, but sadly I don't have that time. 6.8 netbeans was an absolute dream one download one installation go! Sadly 7.0.1 is not proving so.

Can anybody help with the next steps so I can get to work again please?

I thank you in advance of thinking about looking at this and walking away ;-)

I have enjoyed such help and support from this website thank you one and all.

Thanks

John
0
johnecollins
Asked:
johnecollins
  • 3
  • 3
  • 2
1 Solution
 
for_yanCommented:

You can download and install the whole bundle - Netbeans with JDK 7 and everythiong from this page
http://www.oracle.com/technetwork/java/javase/downloads/jdk-7-netbeans-download-432126.html
0
 
CEHJCommented:
It might be getting confused about your Java installations. Find the latest JDK install you did and set  the System environment variable JAVA_HOME to point to its install directory. Then try starting the installer again.

If it's already installed by not working, uninstall first
0
 
for_yanCommented:

or if you prefer you can dwonload and install latest jdk 6 27 from here

http://www.oracle.com/technetwork/java/javase/downloads/jdk-6u27-download-440405.html
0
Industry Leaders: We Want Your Opinion!

We value your feedback.

Take our survey and automatically be enter to win anyone of the following:
Yeti Cooler, Amazon eGift Card, and Movie eGift Card!

 
for_yanCommented:
Maybe if you are setting up your new computer today it may be already time to go java 7 - so download the bundle and it will install everything for you
and you'll have newest versions of everything.
0
 
johnecollinsAuthor Commented:
for_van and CEHJ,

Thanks for your speedy replies, I'm off to give it a go will let you know how I do.

John
0
 
CEHJCommented:
Yes, if you haven't got a good reason for hanging on to older JDKs then uninstall everything and get  JDK7. Personally i wouldn't install a bundle, but that's up to you - it could be easier
0
 
johnecollinsAuthor Commented:
for_van,

This is exactly what I needed thank you very much

John
0
 
johnecollinsAuthor Commented:
CEHJ and for_van if you see me in a pub remind me  owe you a pint of beer

Thank you both very much

John
0

Featured Post

VIDEO: THE CONCERTO CLOUD FOR HEALTHCARE

Modern healthcare requires a modern cloud. View this brief video to understand how the Concerto Cloud for Healthcare can help your organization.

  • 3
  • 3
  • 2
Tackle projects and never again get stuck behind a technical roadblock.
Join Now